;; This file:
;;   http://angg.twu.net/elisp/eev-wconfig-video.el.html
;;   http://angg.twu.net/elisp/eev-wconfig-video.el
;;           (find-angg "elisp/eev-wconfig-video.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; Functions for this video:
;;   (find-es "eev" "video-eev-wconfig")
;;   http://angg.twu.net/eev-wconfig.html
;;
(defun e () (interactive) (find-es "eev"))
(defun l () (interactive) (find-angg "elisp/eev-wconfig-video.el"))
(defun b () (interactive) (find-fline "~/TH/eev-wconfig.blogme"))
(defun eo () (interactive) (insert "      Emacs -> eev -> Org mode\n") (eek "<up>"))
(defun ec () (interactive) (insert "     ^ browser, mpv, pdf, wget...\n") (eek "<up>"))
(defun ew () (interactive) (find-eev "eev-wconfig.el"))

;; (find-es "eev" "video-eev-wconfig-pt")
;; (defun eo () (interactive) (find-fline "/tmp/o"))
;; (defun cato () (interactive) (find-sh "cat /tmp/o"))
(defun ewd () (interactive) (find-fline "~/eev-wconfig/" "" '(eek "g")))
(defun ewshowdir () (interactive) (find-2a nil '(ewd)))


;; (find-sshot-links "5" "2022-eev-wconfig-gwen")
;; (find-ssr-links "2022eevwconfig" "2022-eev-wconfig")
(defun gw () (interactive) (find-fline "~/ORG/Gwen, ou Le Livre de Sable.jpg"))
(defun g2 () (interactive) (find-2a nil '(gw)))

;; (find-es "emacs" "ee-mono-height")
(defun ee-mono-height (height)
 `(:family "DejaVu Sans Mono"
   :foundry "PfEd"
   :width normal
   :height ,height
   :weight regular
   :slant normal))

(setq ee-mono-40 (ee-mono-height 398))
(defun bigc (pos) (interactive "d") (ee-set-region-face (+ -1 pos) pos ee-mono-40))
(defun bc () (interactive) (bigc (point)) (eek "<right>"))

;; (find-es "mplayer" "mpv-geometry")
;; (ee-mpv-fullscreen)
;; (ee-mpv-non-fullscreen)
;; (find-eevnavvideo "0:00")
;;
(defun ee-mpv-fullscreen ()
  (setq ee-mpv-video-options '("--fs" "--osd-level=2")))

(defun ee-mpv-non-fullscreen ()
  (setq ee-mpv-video-options '("--osd-level=2" "--geometry=640x400+520+300")))


;; (find-LATEX "2019emacsconf.tex")
(code-pdf-page "emacsconf2019" "~/LATEX/2019emacsconf.pdf")
(code-pdf-text "emacsconf2019" "~/LATEX/2019emacsconf.pdf")
;; (find-emacsconf2019page)
;; (find-emacsconf2019text)
;; (find-emacsconf2019page 8 "megabytes")
;; (find-emacsconf2019text 8 "megabytes")
;; (find-1stclassvideo-links "eev2019")
;; (find-1stclassvideoindex  "eev2019")






;; Local Variables:
;; coding:  utf-8-unix
;; End:
